Bug 200570 - (cosmetic) ACPI: superfluous characters in battery info
(cosmetic) ACPI: superfluous characters in battery info
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-28 14:07 EDT by Jurgen Kramer
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-30 13:43:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
gnome powermanager screenshot (159.89 KB, image/png)
2006-07-28 14:07 EDT, Jurgen Kramer
no flags Details

  None (edit)
Description Jurgen Kramer 2006-07-28 14:07:31 EDT
Created attachment 133255 [details]
gnome powermanager screenshot
Comment 1 Jurgen Kramer 2006-07-28 14:07:31 EDT
Description of problem:
(ACPI) cat /proc/acpi/battery/BAT0/info shows superfluous characters which also
show up in the gnome-powermanager

Version-Release number of selected component (if applicable):
2.6.17-1.2462.fc6 (also happened with 'older' versions)

How reproducible:
always

Steps to Reproduce:
1. Select Information->Device Information->More in the gnome power manager
2.
3.
  
Actual results:
[kramer@macbook ~]$ cat /proc/acpi/battery/BAT0/info 
present:                 yes
design capacity:         50200 mWh
last full capacity:      50950 mWh
battery technology:      rechargeable
design voltage:          10950 mV
design capacity warning: 250 mWh
design capacity low:     100 mWh
capacity granularity 1:  10 mWh
capacity granularity 2:  10 mWh
model number:            ASMB013vvvvvvvvvvvvvvvvvvvvvvv
serial number:           
battery type:            LION013vvvvvvvvvvvvvvvvvvvvvvv
OEM info:                DPON013vvvvvvvvvvvvvvvvvvvvvvv


Expected results:
No additional 'v' characters

Additional info:
This is on a Apple MacBook
Comment 2 Jurgen Kramer 2006-08-30 13:43:30 EDT
Fixed in newer kernels.

[kramer@macbook ~]$ cat /proc/acpi/battery/BAT0/info 
present:                 yes
design capacity:         50200 mWh
last full capacity:      51790 mWh
battery technology:      rechargeable
design voltage:          10950 mV
design capacity warning: 250 mWh
design capacity low:     100 mWh
capacity granularity 1:  10 mWh
capacity granularity 2:  10 mWh
model number:            ASMB013
serial number:           
battery type:            LION013

Note You need to log in before you can comment on or make changes to this bug.